using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public enum ButtonType
{
    Refill, Reset, Help, Quit, CancelQuit
};

public class Button : MonoBehaviour
{
    public ButtonType Type;
    private SpriteRenderer SR;

    void Start()
    {
        SR = transform.Find("WhiteTex").GetComponent<SpriteRenderer>();
    }

    public void StartHover()
    {
        if (SR) SR.color = Color.grey;        
    }

    public void StopHover()
    {
        if (SR) SR.color = Color.white;
    }
}
